Page MenuHomePhabricator

Allow `arc list` to show other users diffs.
AbandonedPublic

Authored by gabe on Aug 12 2015, 4:59 PM.

Details

Summary

Add a flag to arc list, --owner which allows you to pass the
phabricator username of another user to the list command. This flag will then
query phabricator for diffs that belong to that user instead of yourself. Based on similar functionality found in:

ArcanistTasksWorkflow

This is a work in progress, and this diff is mainly to guage if there is interest for me to continue, and clean things up, or if this feature is not wanted/needed.

Still to do:

  • pull the findOwnerPHID() function out into a common place so it can be used by different workflows.
  • more testing to make sure errors are eliminated. (Right now this error comes up:
    ERROR 8: Undefined index: sourcePath at [/Volumes/dev/arcanist/src/workflow/ArcanistListWorkflow.php:87]
	arcanist(head=arc-list-owner, ref.master=807057087d65, ref.arc-list-owner=bcf446f862a4), phutil(head=master, ref.master=55f554b618b9)
	#0 ArcanistListWorkflow::run() called at [<arcanist>/scripts/arcanist.php:382]
  • add unit tests.
Test Plan

Applied the patch, and ran arc list --owner <some other user that has open diffs>

Diff Detail

Repository
rARC Arcanist
Branch
arc-list-owner
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 7605
Build 8250: [Placeholder Plan] Wait for 30 Seconds
Build 8249: arc lint + arc unit

Event Timeline

gabe retitled this revision from to Allow `arc list` to show other users diffs..Aug 12 2015, 4:59 PM
gabe updated this object.
gabe edited the test plan for this revision. (Show Details)
gabe added a reviewer: epriestley.
gabe updated this revision to Diff 33510.
gabe edited the test plan for this revision. (Show Details)Aug 12 2015, 5:02 PM
gabe edited edge metadata.
epriestley edited edge metadata.Aug 27 2015, 11:48 AM
epriestley requested changes to this revision.

See T7715 for plans here and discussion/rationale.

This revision now requires changes to proceed.Aug 27 2015, 11:48 AM
gabe abandoned this revision.Aug 28 2015, 11:03 AM

I think it makes sense to abandon this until T7715 is sorted. Once that's figured out, I can resubmit a patch.